
package ysr.com.teamcenter;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the ysr.com.teamcenter package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _SendPStartNotificationToPLM_QNAME = new QName("http://teamcenter.com.ysr/", "SendPStartNotificationToPLM");
    private final static QName _SendDeliveryDateToPLMResponse_QNAME = new QName("http://teamcenter.com.ysr/", "SendDeliveryDateToPLMResponse");
    private final static QName _SendTravelOrderToPLM_QNAME = new QName("http://teamcenter.com.ysr/", "SendTravelOrderToPLM");
    private final static QName _SendDeliveryDateToPLM_QNAME = new QName("http://teamcenter.com.ysr/", "SendDeliveryDateToPLM");
    private final static QName _SendAccepComToPLM_QNAME = new QName("http://teamcenter.com.ysr/", "SendAccepComToPLM");
    private final static QName _SendAccepComToPLMResponse_QNAME = new QName("http://teamcenter.com.ysr/", "SendAccepComToPLMResponse");
    private final static QName _SendQuotationToPLM_QNAME = new QName("http://teamcenter.com.ysr/", "sendQuotationToPLM");
    private final static QName _SendOrderNoticeToPLM_QNAME = new QName("http://teamcenter.com.ysr/", "SendOrderNoticeToPLM");
    private final static QName _SendOrderNoticeToPLMResponse_QNAME = new QName("http://teamcenter.com.ysr/", "SendOrderNoticeToPLMResponse");
    private final static QName _SendQuotationToPLMResponse_QNAME = new QName("http://teamcenter.com.ysr/", "sendQuotationToPLMResponse");
    private final static QName _SendPStartNotificationToPLMResponse_QNAME = new QName("http://teamcenter.com.ysr/", "SendPStartNotificationToPLMResponse");
    private final static QName _SendTravelOrderToPLMResponse_QNAME = new QName("http://teamcenter.com.ysr/", "SendTravelOrderToPLMResponse");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: ysr.com.teamcenter
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link SendTravelOrderToPLMResponse }
     * 
     */
    public SendTravelOrderToPLMResponse createSendTravelOrderToPLMResponse() {
        return new SendTravelOrderToPLMResponse();
    }

    /**
     * Create an instance of {@link SendPStartNotificationToPLMResponse }
     * 
     */
    public SendPStartNotificationToPLMResponse createSendPStartNotificationToPLMResponse() {
        return new SendPStartNotificationToPLMResponse();
    }

    /**
     * Create an instance of {@link SendOrderNoticeToPLM }
     * 
     */
    public SendOrderNoticeToPLM createSendOrderNoticeToPLM() {
        return new SendOrderNoticeToPLM();
    }

    /**
     * Create an instance of {@link SendOrderNoticeToPLMResponse }
     * 
     */
    public SendOrderNoticeToPLMResponse createSendOrderNoticeToPLMResponse() {
        return new SendOrderNoticeToPLMResponse();
    }

    /**
     * Create an instance of {@link SendQuotationToPLMResponse }
     * 
     */
    public SendQuotationToPLMResponse createSendQuotationToPLMResponse() {
        return new SendQuotationToPLMResponse();
    }

    /**
     * Create an instance of {@link SendQuotationToPLM }
     * 
     */
    public SendQuotationToPLM createSendQuotationToPLM() {
        return new SendQuotationToPLM();
    }

    /**
     * Create an instance of {@link SendAccepComToPLMResponse }
     * 
     */
    public SendAccepComToPLMResponse createSendAccepComToPLMResponse() {
        return new SendAccepComToPLMResponse();
    }

    /**
     * Create an instance of {@link SendAccepComToPLM }
     * 
     */
    public SendAccepComToPLM createSendAccepComToPLM() {
        return new SendAccepComToPLM();
    }

    /**
     * Create an instance of {@link SendDeliveryDateToPLM }
     * 
     */
    public SendDeliveryDateToPLM createSendDeliveryDateToPLM() {
        return new SendDeliveryDateToPLM();
    }

    /**
     * Create an instance of {@link SendDeliveryDateToPLMResponse }
     * 
     */
    public SendDeliveryDateToPLMResponse createSendDeliveryDateToPLMResponse() {
        return new SendDeliveryDateToPLMResponse();
    }

    /**
     * Create an instance of {@link SendTravelOrderToPLM }
     * 
     */
    public SendTravelOrderToPLM createSendTravelOrderToPLM() {
        return new SendTravelOrderToPLM();
    }

    /**
     * Create an instance of {@link SendPStartNotificationToPLM }
     * 
     */
    public SendPStartNotificationToPLM createSendPStartNotificationToPLM() {
        return new SendPStartNotificationToPLM();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SendPStartNotificationToPLM }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://teamcenter.com.ysr/", name = "SendPStartNotificationToPLM")
    public JAXBElement<SendPStartNotificationToPLM> createSendPStartNotificationToPLM(SendPStartNotificationToPLM value) {
        return new JAXBElement<SendPStartNotificationToPLM>(_SendPStartNotificationToPLM_QNAME, SendPStartNotificationToPLM.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SendDeliveryDateToPLMResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://teamcenter.com.ysr/", name = "SendDeliveryDateToPLMResponse")
    public JAXBElement<SendDeliveryDateToPLMResponse> createSendDeliveryDateToPLMResponse(SendDeliveryDateToPLMResponse value) {
        return new JAXBElement<SendDeliveryDateToPLMResponse>(_SendDeliveryDateToPLMResponse_QNAME, SendDeliveryDateToPLMResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SendTravelOrderToPLM }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://teamcenter.com.ysr/", name = "SendTravelOrderToPLM")
    public JAXBElement<SendTravelOrderToPLM> createSendTravelOrderToPLM(SendTravelOrderToPLM value) {
        return new JAXBElement<SendTravelOrderToPLM>(_SendTravelOrderToPLM_QNAME, SendTravelOrderToPLM.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SendDeliveryDateToPLM }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://teamcenter.com.ysr/", name = "SendDeliveryDateToPLM")
    public JAXBElement<SendDeliveryDateToPLM> createSendDeliveryDateToPLM(SendDeliveryDateToPLM value) {
        return new JAXBElement<SendDeliveryDateToPLM>(_SendDeliveryDateToPLM_QNAME, SendDeliveryDateToPLM.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SendAccepComToPLM }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://teamcenter.com.ysr/", name = "SendAccepComToPLM")
    public JAXBElement<SendAccepComToPLM> createSendAccepComToPLM(SendAccepComToPLM value) {
        return new JAXBElement<SendAccepComToPLM>(_SendAccepComToPLM_QNAME, SendAccepComToPLM.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SendAccepComToPLMResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://teamcenter.com.ysr/", name = "SendAccepComToPLMResponse")
    public JAXBElement<SendAccepComToPLMResponse> createSendAccepComToPLMResponse(SendAccepComToPLMResponse value) {
        return new JAXBElement<SendAccepComToPLMResponse>(_SendAccepComToPLMResponse_QNAME, SendAccepComToPLMResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SendQuotationToPLM }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://teamcenter.com.ysr/", name = "sendQuotationToPLM")
    public JAXBElement<SendQuotationToPLM> createSendQuotationToPLM(SendQuotationToPLM value) {
        return new JAXBElement<SendQuotationToPLM>(_SendQuotationToPLM_QNAME, SendQuotationToPLM.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SendOrderNoticeToPLM }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://teamcenter.com.ysr/", name = "SendOrderNoticeToPLM")
    public JAXBElement<SendOrderNoticeToPLM> createSendOrderNoticeToPLM(SendOrderNoticeToPLM value) {
        return new JAXBElement<SendOrderNoticeToPLM>(_SendOrderNoticeToPLM_QNAME, SendOrderNoticeToPLM.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SendOrderNoticeToPLMResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://teamcenter.com.ysr/", name = "SendOrderNoticeToPLMResponse")
    public JAXBElement<SendOrderNoticeToPLMResponse> createSendOrderNoticeToPLMResponse(SendOrderNoticeToPLMResponse value) {
        return new JAXBElement<SendOrderNoticeToPLMResponse>(_SendOrderNoticeToPLMResponse_QNAME, SendOrderNoticeToPLMResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SendQuotationToPLMResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://teamcenter.com.ysr/", name = "sendQuotationToPLMResponse")
    public JAXBElement<SendQuotationToPLMResponse> createSendQuotationToPLMResponse(SendQuotationToPLMResponse value) {
        return new JAXBElement<SendQuotationToPLMResponse>(_SendQuotationToPLMResponse_QNAME, SendQuotationToPLMResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SendPStartNotificationToPLMResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://teamcenter.com.ysr/", name = "SendPStartNotificationToPLMResponse")
    public JAXBElement<SendPStartNotificationToPLMResponse> createSendPStartNotificationToPLMResponse(SendPStartNotificationToPLMResponse value) {
        return new JAXBElement<SendPStartNotificationToPLMResponse>(_SendPStartNotificationToPLMResponse_QNAME, SendPStartNotificationToPLMResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link SendTravelOrderToPLMResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://teamcenter.com.ysr/", name = "SendTravelOrderToPLMResponse")
    public JAXBElement<SendTravelOrderToPLMResponse> createSendTravelOrderToPLMResponse(SendTravelOrderToPLMResponse value) {
        return new JAXBElement<SendTravelOrderToPLMResponse>(_SendTravelOrderToPLMResponse_QNAME, SendTravelOrderToPLMResponse.class, null, value);
    }

}
